package iitb.cfilt.cpost;


import java.io.BufferedWriter;

import java.io.File;

import java.io.FileNotFoundException;

import java.io.FileOutputStream;

import java.io.IOException;

import java.io.OutputStreamWriter;

import java.io.UnsupportedEncodingException;





public class UTFWriter {
	private BufferedWriter objBufWriter;

    

    public UTFWriter(File objFile) throws FileNotFoundException,
UnsupportedEncodingException{

            this.objBufWriter = new BufferedWriter(new OutputStreamWriter(new
FileOutputStream(objFile, true), "UTF8"), 4096);

    }

    

    public void writeUTF(String strLine) throws IOException{

            this.objBufWriter.write(strLine);        

    }

    

    public void close() throws IOException{

            this.objBufWriter.close();

    }
}
